org.apache.pdfbox.pdmodel.graphics.color

## Class PDSpecialColorSpace

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.color.PDColorSpace
  - - org.apache.pdfbox.pdmodel.graphics.color.PDSpecialColorSpace

All Implemented Interfaces:
  COSObjectable

Direct Known Subclasses:
  PDDeviceN, PDIndexed, PDPattern, PDSeparation

    public abstract class PDSpecialColorSpace
    extends PDColorSpace

Special colour spaces add features or properties to an underlying colour space.

Author:
  John Hewson

### Field Summary

### Fields inherited from class org.apache.pdfbox.pdmodel.graphics.color.PDColorSpace

`array`

### Constructor Summary

Constructors
Constructor and Description
`PDSpecialColorSpace()`

### Method Summary

All Methods Instance Methods Concrete Methods
`COSBase` `getCOSObject()` Convert this standard java object to a COS object.

### Methods inherited from class org.apache.pdfbox.pdmodel.graphics.color.PDColorSpace

`create, create, create, getDefaultDecode, getInitialColor, getName, getNumberOfComponents, toRawImage, toRawImage, toRGB, toRGBImage, toRGBImageAWT`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDSpecialColorSpace

    public PDSpecialColorSpace()

### Method Detail

#### getCOSObject

    public COSBase getCOSObject()

Description copied from interface: `COSObjectable`
Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Overrides:
  `getCOSObject` in class `PDColorSpace`
Returns:
  The cos object that matches this Java object.